commit:     9ba4f852396d3f2aee682f5824b548d497a267d3
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun May 17 15:33:30 2015 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun May 17 15:33:30 2015 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=9ba4f852

net-libs/gtk-vnc: sync with gentoo-x86

Also don't touch files that don't exist in live setup.

 .../files/gtk-vnc-0.4.3-outoftree-build.patch      | 21 ----------
 net-libs/gtk-vnc/gtk-vnc-9999.ebuild               | 49 +++++++++-------------
 2 files changed, 19 insertions(+), 51 deletions(-)

diff --git a/net-libs/gtk-vnc/files/gtk-vnc-0.4.3-outoftree-build.patch 
b/net-libs/gtk-vnc/files/gtk-vnc-0.4.3-outoftree-build.patch
deleted file mode 100644
index 36a3a3a..0000000
--- a/net-libs/gtk-vnc/files/gtk-vnc-0.4.3-outoftree-build.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-diff --git a/src/Makefile.am b/src/Makefile.am
-index 37f8444..2f72fa6 100644
---- a/src/Makefile.am
-+++ b/src/Makefile.am
-@@ -279,14 +279,14 @@ GVNC_INTROSPECTION_SRCS = \
-                       $(srcdir)/vnccolormap.h $(srcdir)/vnccolormap.c \
-                       $(srcdir)/vnccursor.h $(srcdir)/vnccursor.c \
-                       $(srcdir)/vncconnection.h $(srcdir)/vncconnection.c \
--                      $(builddir)/vncconnectionenums.h 
$(builddir)/vncconnectionenums.c \
-+                      $(srcdir)/vncconnectionenums.h 
$(srcdir)/vncconnectionenums.c \
-                       $(srcdir)/vncutil.h $(srcdir)/vncutil.c
- 
- GTK_VNC_INTROSPECTION_SRCS = \
-                       $(srcdir)/vnccairoframebuffer.h 
$(srcdir)/vnccairoframebuffer.c \
-                       $(srcdir)/vncdisplay.h $(srcdir)/vncdisplay.c \
-                       $(srcdir)/vncgrabsequence.h $(srcdir)/vncgrabsequence.c 
\
--                      $(builddir)/vncdisplayenums.h 
$(builddir)/vncdisplayenums.c
-+                      $(srcdir)/vncdisplayenums.h $(srcdir)/vncdisplayenums.c
- 
- if HAVE_GTK_2
- GTK_VNC_INTROSPECTION_SRCS += \

diff --git a/net-libs/gtk-vnc/gtk-vnc-9999.ebuild 
b/net-libs/gtk-vnc/gtk-vnc-9999.ebuild
index 9bb9545..ad7d64a 100644
--- a/net-libs/gtk-vnc/gtk-vnc-9999.ebuild
+++ b/net-libs/gtk-vnc/gtk-vnc-9999.ebuild
@@ -1,19 +1,21 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
 EAPI="5"
-PYTHON_COMPAT=( python2_{6,7} )
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
 VALA_MIN_API_VERSION="0.16"
 VALA_USE_DEPEND="vapigen"
 
-inherit eutils gnome.org python-r1 vala
+inherit eutils gnome2 python-r1 vala
 if [[ ${PV} = 9999 ]]; then
        inherit gnome2-live
 fi
 
 DESCRIPTION="VNC viewer widget for GTK"
-HOMEPAGE="https://live.gnome.org/gtk-vnc";
+HOMEPAGE="https://wiki.gnome.org/Projects/gtk-vnc";
 
 LICENSE="GPL-2"
 SLOT="0"
@@ -31,9 +33,9 @@ REQUIRED_USE="
 # libview is used in examples/gvncviewer -- no need
 COMMON_DEPEND="
        >=dev-libs/glib-2.30.1:2
-       >=dev-libs/libgcrypt-1.4.2
+       >=dev-libs/libgcrypt-1.4.2:0
        dev-libs/libgpg-error
-       >=net-libs/gnutls-1.4
+       >=net-libs/gnutls-2.12
        >=x11-libs/cairo-1.2
        >=x11-libs/gtk+-2.18:2
        x11-libs/libX11
@@ -78,21 +80,16 @@ src_prepare() {
                python_foreach_impl prepare_python
        fi
 
-       # Remove a few files that were autogenerated during distcheck.
-       # Having these around in srcdir breaks out of tree build since they're
-       # expected to be in builddir, which is correct for trunk builds since
-       # they're generated files, not source files. Funny false dichotomy.
-       rm -vf "${S}"/src/{vncconnectionenums.[ch],vncdisplayenums.[ch]}
-
-       # Fix incorrect codegendir check: h2def.py is in pygobject, not pygtk, 
upstream bug#????
+       # Fix incorrect codegendir check: h2def.py is in pygobject, not pygtk, 
upstream bug#744393
        sed -e 's/codegendir pygtk-2.0/codegendir pygobject-2.0/g' \
-               -i src/Makefile.* || die
+               -i src/Makefile.am || die
 
        # libtool seems unable to find this via VPATH so help it
        sed -r "s:(gtkvnc_la_LIBADD =) libgtk-vnc-.*\.la:\1 
${GTK2_BUILDDIR}/src/libgtk-vnc-1.0.la:" \
-               -i src/Makefile.{am,in} || die
+               -i src/Makefile.am || die
 
        vala_src_prepare
+       gnome2_src_prepare
 }
 
 src_configure() {
@@ -109,12 +106,12 @@ src_configure() {
 
        cd "${GTK2_BUILDDIR}" || die
        einfo "Running configure in ${GTK2_BUILDDIR}"
-       ECONF_SOURCE="${S}" econf ${myconf} \
+       ECONF_SOURCE="${S}" gnome2_src_configure ${myconf} \
                --with-python=no \
                --with-gtk=2.0
 
        configure_python() {
-               ECONF_SOURCE="${S}" econf ${myconf} \
+               ECONF_SOURCE="${S}" gnome2_src_configure ${myconf} \
                        $(use_with python) \
                        --with-gtk=2.0
        }
@@ -127,7 +124,7 @@ src_configure() {
                einfo "Running configure in ${GTK3_BUILDDIR}"
                # Python support is via gobject-introspection
                # Ex: from gi.repository import GtkVnc
-               ECONF_SOURCE="${S}" econf ${myconf} \
+               ECONF_SOURCE="${S}" gnome2_src_configure ${myconf} \
                        $(use_enable vala) \
                        --with-python=no \
                        --with-gtk=3.0
@@ -137,7 +134,7 @@ src_configure() {
 src_compile() {
        cd "${GTK2_BUILDDIR}" || die
        einfo "Running make in ${GTK2_BUILDDIR}"
-       emake
+       gnome2_src_compile
 
        compile_python() {
                cd "${BUILD_DIR}"/src || die
@@ -153,7 +150,7 @@ src_compile() {
        if use gtk3; then
                cd "${GTK3_BUILDDIR}" || die
                einfo "Running make in ${GTK3_BUILDDIR}"
-               emake
+               gnome2_src_compile
        fi
 }
 
@@ -170,14 +167,9 @@ src_test() {
 }
 
 src_install() {
-       # Parallel installation fails sometimes, bug #328273, upstream bug 
#651923
-       # Upstream is still unable to reproduce, try again to use parallel with 
this new version
-       dodoc AUTHORS ChangeLog NEWS README
-
        cd "${GTK2_BUILDDIR}" || die
        einfo "Running make install in ${GTK2_BUILDDIR}"
-#      MAKEOPTS="${MAKEOPTS} -j1" default
-       default
+       gnome2_src_install
 
        install_python() {
                cd "${BUILD_DIR}"/src || die
@@ -192,9 +184,6 @@ src_install() {
        if use gtk3; then
                cd "${GTK3_BUILDDIR}" || die
                einfo "Running make install in ${GTK3_BUILDDIR}"
-               #MAKEOPTS="${MAKEOPTS} -j1" default
-               default
+               gnome2_src_install
        fi
-
-       prune_libtool_files
 }

Reply via email to